# SON-R1.5.03

### **User Stories/Defects Testing** <a href="#son-feb18-feb28-peerplays-release0.3build2-userstories-defectstesting" id="son-feb18-feb28-peerplays-release0.3build2-userstories-defectstesting"></a>

Release details : [https://peerplays.atlassian.net/projects/SON/versions/10134/tab/release-report-all-issues](https://peerplays.atlassian.net/projects/SON/versions/10134/tab/release-report-all-issues)

**Tested & Completed**

| P                                                                             | T                                                                                                             | Key                                                       | Summary                                                                                                                                                                                    | Status |
| ----------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------- | --------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ | ------ |
| ![Medium](https://peerplays.atlassian.net/images/icons/priorities/medium.svg) | ![Story](https://peerplays.atlassian.net/secure/viewavatar?size=medium\&avatarId=10315\&avatarType=issuetype) | [SON-23](https://peerplays.atlassian.net/browse/SON-23)   | [As an SON, I should be paid on the basis of number of transaction signed by me or a percentage of the amount of transaction signed by me.](https://peerplays.atlassian.net/browse/SON-23) | DONE   |
| ![Medium](https://peerplays.atlassian.net/images/icons/priorities/medium.svg) | ![Story](https://peerplays.atlassian.net/secure/viewavatar?size=medium\&avatarId=10315\&avatarType=issuetype) | [SON-48](https://peerplays.atlassian.net/browse/SON-48)   | [As a witnesses I should have the power to freeze SON's account or blacklist SON.](https://peerplays.atlassian.net/browse/SON-48)                                                          | DONE   |
| ![Medium](https://peerplays.atlassian.net/images/icons/priorities/medium.svg) | ![Story](https://peerplays.atlassian.net/secure/viewavatar?size=medium\&avatarId=10315\&avatarType=issuetype) | [SON-122](https://peerplays.atlassian.net/browse/SON-122) | [\[Design\] SON Historical Performance](https://peerplays.atlassian.net/browse/SON-122)                                                                                                    | DONE   |
| ![Medium](https://peerplays.atlassian.net/images/icons/priorities/medium.svg) | ![Task](https://peerplays.atlassian.net/secure/viewavatar?size=medium\&avatarId=10318\&avatarType=issuetype)  | [SON-295](https://peerplays.atlassian.net/browse/SON-295) | [Replace raw with psbt transactions to support parital tx signing](https://peerplays.atlassian.net/browse/SON-295)                                                                         | DONE   |
| ![Low](https://peerplays.atlassian.net/images/icons/priorities/low.svg)       | ![Story](https://peerplays.atlassian.net/secure/viewavatar?size=medium\&avatarId=10315\&avatarType=issuetype) | [SON-24](https://peerplays.atlassian.net/browse/SON-24)   | [\[Development\] As an SON, I should be paid after each Maintenance cycle.](https://peerplays.atlassian.net/browse/SON-24)                                                                 | DONE   |
| ![Low](https://peerplays.atlassian.net/images/icons/priorities/low.svg)       | ![Story](https://peerplays.atlassian.net/secure/viewavatar?size=medium\&avatarId=10315\&avatarType=issuetype) | [SON-118](https://peerplays.atlassian.net/browse/SON-118) | [\[Development\] Implement changes for the SON budget](https://peerplays.atlassian.net/browse/SON-118)                                                                                     | DONE   |
| ![Low](https://peerplays.atlassian.net/images/icons/priorities/low.svg)       | ![Story](https://peerplays.atlassian.net/secure/viewavatar?size=medium\&avatarId=10315\&avatarType=issuetype) | [SON-119](https://peerplays.atlassian.net/browse/SON-119) | [\[Development\] unit test cases for SON budget implementation via SON-118](https://peerplays.atlassian.net/browse/SON-119)                                                                | DONE   |

**New Defects**

[https://peerplays.atlassian.net/browse/SON-328](https://peerplays.atlassian.net/browse/SON-328)

[https://peerplays.atlassian.net/browse/SON-336](https://peerplays.atlassian.net/browse/SON-336)

[https://peerplays.atlassian.net/browse/SON-337](https://peerplays.atlassian.net/browse/SON-337)\
[https://peerplays.atlassian.net/browse/SON-338](https://peerplays.atlassian.net/browse/SON-338)

[https://peerplays.atlassian.net/browse/SON-340](https://peerplays.atlassian.net/browse/SON-340)
